angular.module('myApp.directives', [])

.directive('galleryImage', function(viewport) {
    var viewport = viewport();
    return {
        restrict: 'A',
        link: function(scope, elem, attrs) {
            elem.on('load', function(){
                var imageHeight = (viewport.width / this.naturalWidth) * this.height;
                var topPosition = ((viewport.height - imageHeight) / 2) - 55;
                this.style.top = topPosition + "px";
                this.style.opacity = "1";

            });
        }
    }
})